%define plugin	dvdswitch
%define rel	14

Summary:	VDR plugin: allows to play DVD-Images
Name:		vdr-plugin-%plugin
Version:	0.2.0
Release:	%mkrel %rel
Group:		Video/Utilities
License:	GPLv2
URL:		http://projects.vdr-developer.org/projects/plg-dvdswitch
Source:		vdr-%plugin-%version.tgz
Patch1:		03_no-files-crash.dpatch
BuildRequires:	pkgconfig(vdr) >= 1.6.0
Requires:	vdr-abi = %vdr_abi

%description
The dvdswitch plugin functions as a kind of a DVD changer. It makes it possible
to select images and play them with the DVD plugin.

%prep
%setup -q -n %plugin-%version
%patch1 -p1
%vdr_plugin_prep
chmod 0644 README HISTORY

%vdr_plugin_params_begin %plugin
# scriptname with path for reading DVD as a ISO Image File
var=READ_SCRIPT
param=--readscript=READ_SCRIPT
# scriptname with path for writing selected DVD Image
var=WRITE_SCRIPT
param=--writescript=WRITE_SCRIPT
# path to DVD Images. This option can be set in setup-menu.
var=IMAGE_PATH
param=--imagedir=IMAGE_PATH
%vdr_plugin_params_end

%build
%vdr_plugin_build

%install
%vdr_plugin_install

%files -f %plugin.vdr
%doc README HISTORY


%changelog
* Fri Feb 14 2020 umeabot <umeabot> 0.2.0-14.mga8
+ Revision: 1517754
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 0.2.0-13.mga7
+ Revision: 1301579
- Mageia 7 Mass Rebuild

* Tue Feb 09 2016 umeabot <umeabot> 0.2.0-12.mga6
+ Revision: 951655
- Mageia 6 Mass Rebuild

* Mon Jan 05 2015 anssi <anssi> 0.2.0-11.mga5
+ Revision: 808485
- rebuild with new vdr-devel with cauldron-compatible macros

* Mon Nov 24 2014 anssi <anssi> 0.2.0-10.mga5
+ Revision: 798666
- rebuild for new VDR
+ umeabot <umeabot>
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Tue Oct 22 2013 umeabot <umeabot> 0.2.0-7.mga4
+ Revision: 544744
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 anssi <anssi> 0.2.0-6.mga4
+ Revision: 500236
- rebuild for new VDR

* Mon Jan 14 2013 umeabot <umeabot> 0.2.0-5.mga3
+ Revision: 385257
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 02 2012 malo <malo> 0.2.0-4.mga3
+ Revision: 325484
- spec clean-up
- update RPM group

* Wed Mar 07 2012 anssi <anssi> 0.2.0-3.mga2
+ Revision: 221041
- rebuild for VDR 1.7.25

* Sat Feb 25 2012 anssi <anssi> 0.2.0-2.mga2
+ Revision: 214766
- rebuild for new VDR

* Sat May 14 2011 anssi <anssi> 0.2.0-1.mga1
+ Revision: 98368
- new version
- drop now unneeded patches
- fix license tag
- update sysconfig file
- drop now unneeded scriptlets
- update url
- imported package vdr-plugin-dvdswitch


* Tue Jul 28 2009 Anssi Hannula <anssi@mandriva.org> 0.1.3-5mdv2010.0
+ Revision: 401088
- rebuild for new VDR

* Fri Mar 20 2009 Anssi Hannula <anssi@mandriva.org> 0.1.3-4mdv2009.1
+ Revision: 359309
- rebuild for new vdr

* Sun Sep 07 2008 Anssi Hannula <anssi@mandriva.org> 0.1.3-3mdv2009.0
+ Revision: 282087
- rebuild due to missing package on x86_64

* Mon Apr 28 2008 Anssi Hannula <anssi@mandriva.org> 0.1.3-2mdv2009.0
+ Revision: 197921
- rebuild for new vdr

* Sat Apr 26 2008 Anssi Hannula <anssi@mandriva.org> 0.1.3-1mdv2009.0
+ Revision: 197655
- new version
- add vdr_plugin_prep
- bump buildrequires on vdr-devel
- adapt to gettext i18n of VDR 1.6 (semi-automatic patch)
- adapt for api changes of vdr 1.5.4 (P0 from e-tobi)
- fix a crash (P1 from e-tobi)

* Fri Jan 04 2008 Anssi Hannula <anssi@mandriva.org> 0.1.2-12mdv2008.1
+ Revision: 145074
- rebuild for new vdr

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Oct 29 2007 Anssi Hannula <anssi@mandriva.org> 0.1.2-11mdv2008.1
+ Revision: 103086
- rebuild for new vdr

* Sun Jul 08 2007 Anssi Hannula <anssi@mandriva.org> 0.1.2-10mdv2008.0
+ Revision: 49992
- rebuild for new vdr

* Thu Jun 21 2007 Anssi Hannula <anssi@mandriva.org> 0.1.2-9mdv2008.0
+ Revision: 42078
- rebuild for new vdr

* Sat May 05 2007 Anssi Hannula <anssi@mandriva.org> 0.1.2-8mdv2008.0
+ Revision: 22742
- rebuild for new vdr


* Tue Dec 05 2006 Anssi Hannula <anssi@mandriva.org> 0.1.2-7mdv2007.0
+ Revision: 90913
- rebuild for new vdr

* Tue Oct 31 2006 Anssi Hannula <anssi@mandriva.org> 0.1.2-6mdv2007.1
+ Revision: 73985
- rebuild for new vdr
- Import vdr-plugin-dvdswitch

* Thu Sep 07 2006 Anssi Hannula <anssi@mandriva.org> 0.1.2-5mdv2007.0
- rebuild for new vdr

* Thu Aug 24 2006 Anssi Hannula <anssi@mandriva.org> 0.1.2-4mdv2007.0
- stricter abi requires

* Mon Aug 07 2006 Anssi Hannula <anssi@mandriva.org> 0.1.2-3mdv2007.0
- rebuild for new vdr

* Wed Jul 26 2006 Anssi Hannula <anssi@mandriva.org> 0.1.2-2mdv2007.0
- rebuild for new vdr

* Thu Jun 22 2006 Anssi Hannula <anssi@mandriva.org> 0.1.2-1mdv2007.0
- initial Mandriva release

